using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
public partial class JobSeekers_rcMenu : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        
        string pageCall=this.NamingContainer.Page.Title;        
        HyperLink hyperLink  ;
        Literal literal  ;
        switch(pageCall)
        {
            case "::My Account":
            case "::Company Profile":
            case "::Change Password":
            case "::Update Login Information":            
                 
                hyperLink = new HyperLink();
                hyperLink.Text = "Update Account";
                hyperLink.NavigateUrl = "register.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Company Profile";
                hyperLink.NavigateUrl = "profile.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Company Logo";
                hyperLink.NavigateUrl = "logo.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Change Password";
                hyperLink.NavigateUrl = "changepassword.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Logout";
                hyperLink.NavigateUrl = "logout.aspx";
                this.panelMenu.Controls.Add(hyperLink);                
                break;
             
            case "::Job Responses":
            case "::Response Letters":
            case "::Contacted Resumes":
            case "::Resume Manager":    
                hyperLink = new HyperLink();
                hyperLink.Text = "Contacted Resumes";
                hyperLink.NavigateUrl = "contactedresumes.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Job Response";
                hyperLink.NavigateUrl = "jobresponses.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Response Letters";
                hyperLink.NavigateUrl = "responseletters.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Saved Resumes";
                hyperLink.NavigateUrl = "resumemanager.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Logout";
                hyperLink.NavigateUrl = "logout.aspx";
                this.panelMenu.Controls.Add(hyperLink); 
                break;
            case "::Job Manager":
            case "::Job Purchase":
            case "::Post a Job":
            case "::Resume Details":
            case "::Job Details":
            case "::Job Expired":
            case "::Job Posting":
                hyperLink = new HyperLink();
                hyperLink.Text = "Post a Job";
                hyperLink.NavigateUrl = "postjob.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Job Purchasing";
                hyperLink.NavigateUrl = "jobpurchases.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);                               
                hyperLink = new HyperLink();
                hyperLink.Text = "Closed Job";
                hyperLink.NavigateUrl = "jobexpired.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Job Folders";
                hyperLink.NavigateUrl = "jobfolders.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Logout";
                hyperLink.NavigateUrl = "logout.aspx";
                this.panelMenu.Controls.Add(hyperLink); 
                break;                    
            case "::Login":
            case "::Log out":
            case "::Job Tools":
            case "::New Registration":
            case "::Forgot Password":
                hyperLink = new HyperLink();
                hyperLink.Text = "Login";
                hyperLink.NavigateUrl = "login.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "New Registration";
                hyperLink.NavigateUrl = "register.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Forgot Password";
                hyperLink.NavigateUrl = "forgotpassword.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Job Tools";
                hyperLink.NavigateUrl = "jobtools.aspx";
                this.panelMenu.Controls.Add(hyperLink); 
                break;
                           
            case "::Saved Resume Searchs":
            case "::Search for Resumes":
            case "::Search job by Alphabet":
            case "::Search job by Location":
            case "::Search job by Company":
            case "::Search job by Category": 
            case "::Search job by Industry":
            case "::Search Result":
                  
                hyperLink = new HyperLink();
                hyperLink.Text = "Search by Province";
                hyperLink.NavigateUrl = "location.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Search by Category";
                hyperLink.NavigateUrl = "category.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Search by Industry";
                hyperLink.NavigateUrl = "industry.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Search by Experience";
                hyperLink.NavigateUrl = "experience.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                literal = new Literal();
                literal.Text = " | ";
                this.panelMenu.Controls.Add(literal);
                hyperLink = new HyperLink();
                hyperLink.Text = "Search by Alphabet";
                hyperLink.NavigateUrl = "alphabet.aspx";
                this.panelMenu.Controls.Add(hyperLink);
                
                if (Session.Contents["rcuserid"] != null)
                {
                    literal = new Literal();
                    literal.Text = " | ";
                    this.panelMenu.Controls.Add(literal);
                    hyperLink = new HyperLink();
                    hyperLink.Text = "Logout";
                    hyperLink.NavigateUrl = "logout.aspx";
                    this.panelMenu.Controls.Add(hyperLink);
                }
                break;   
                default:
                    literal = new Literal();
                    literal.Text = "<marquee>Life goes on, There are still many jobs out there, and more jobs being created day after day. Kindly visit and find the right job for your career.</marquee>";
                    this.panelMenu.Controls.Add(literal);
                    break;       
        }
        
    }
}
